function mostrarCampoCurso() {
        var rol = document.getElementById('id_rol').value;
        var campoCurso = document.getElementById('campo-curso');
        
        if (rol == "3") {
            campoCurso.style.display = "block";  // Muestra el campo si el rol es "Alumno"
        } else {
            campoCurso.style.display = "none";   // Oculta el campo si el rol no es "Alumno"
        }
    }

    // Llamada inicial para mostrar el campo de curso si el rol ya es "Alumno"
    mostrarCampoCurso();
    
function togglePassword() {
    const input = document.getElementById("contraseña");
    const icon = document.getElementById("icono-ojo");

    if (input.type === "password") {
        input.type = "text";
        icon.textContent = "🙈"; // Ojo cerrado
    } else {
        input.type = "password";
        icon.textContent = "👁️"; // Ojo abierto
    }
}
